// pages/chatRoom/MsgBubble/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        role: {
            type: String, //角色 my 我的 you 别人 file 附件
        },
        type: {
            type: String,
            value: "text" //消息类型 file
        },
        content: {
            type: String //消息内容
        },
        userImg: {
            type: String //用户头像
        },
        time: {
            type: String //时间
        },
        fobsurl: {
            type: String
        },
        isGroup: {
            type: Boolean //是否群聊
        },
        groupData: {
            type: Object
        }
    },

    /**
     * 组件的初始数据
     */
    data: {

    },

    /**
     * 组件的方法列表
     */
    methods: {
        viewImage() {
            let urls = [];
            urls.push(this.data.fobsurl)
            wx.previewImage({
                urls: urls
            })
        }
    }
})